%global realname bitcask
%global upstream basho
%global git_tag f20db99
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}
%{expand: %(NIF_VER=`rpm -q erlang-erts --provides | grep --color=no erl_nif_version` ; if [ "$NIF_VER" != "" ]; then echo %%global __erlang_nif_version $NIF_VER ; fi)}
%{expand: %(DRV_VER=`rpm -q erlang-erts --provides | grep --color=no erl_drv_version` ; if [ "$DRV_VER" != "" ]; then echo %%global __erlang_drv_version $DRV_VER ; fi)}


Name:		erlang-%{realname}
Version:	1.6.3
Release:	1%{?dist}
Summary:	Eric Brewer-inspired key/value store
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/bitcask
VCS:		https://github.com/basho/bitcask.git
# wget --content-disposition https://github.com/basho/bitcask/tarball/1.6.3
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Source1:	bitcask.licensing
BuildRequires:	erlang-meck
BuildRequires:	erlang-rebar
# Error:erlang(erlang:load_nif/2) in R12B and below
# Error:erlang(erlang:max/2) in R12B and below
# Error:erlang(erlang:nif_error/1) in R13B and below
# Error:erlang(os:timestamp/0) in R12B and below
Requires:	erlang-erts%{?_isa} >= R14B
Requires:	erlang-kernel%{?_isa}
# Error:erlang(queue:member/2) in R12B and below
Requires:	erlang-stdlib%{?_isa} >= R13B
%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
Eric Brewer-inspired key/value store.


%prep
%setup -q -n %{upstream}-%{realname}-633897f


%build
CFLAGS="%{optflags}" rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,include,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/*.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 include/*.hrl %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/include
install -p -m 0755 priv/%{realname}.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
rebar eunit skip_deps=true -v


%files
%doc README.md THANKS doc/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/*.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}.so


%changelog
* Wed Jul 31 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.6.3-1
- Ver. 1.6.3

* Sun Apr 07 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.6.1-1
- Ver. 1.6.1

* Sun Mar 10 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.6.0-1
- Ver. 1.6.0
- Fix FTBFS in Rawhide (F19)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 11 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.5.2-1
- Ver. 1.5.2 (Bugfix release)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 09 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.5.1-2
- Require specific %%{_isa} to avoid multiarch issues

* Thu May 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.5.1-1
- Ver. 1.5.1

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0

* Fri Jan 14 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.1.5-1
- Ver. 1.1.5
- Pass optflags to C-compiler

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.1.4-1
- Initial build

